/* ====================== DATA TABLE ====================== */
.adminTable {
    margin-bottom: 20px;
}

table.data {
    background: #FFFFFF;
}

table.dataTable > thead > tr > th, table.dataTable > thead > tr > td {
    padding: 10px 20px 10px 10px;
    background-color: #333;
    font-size: 13px;
    font-weight: bold;
    color: #fff;
    text-align: left;
}

table.data th:hover:not(:first-child):not(.unsortable) {
    background-color: #111;
    cursor: pointer;
}

table.data th:first-child {
    cursor: default !important;
}

table.dataTable tr.odd td {
    background-color: #e8e8e8 !important;
}

table.dataTable tr:nth-child(even) td {
    background-color: #fff !important;
}

table.dataTable tr:nth-child(odd) td {
    background-color: #e8e8e8 !important;
}

table.dataTable tr.highlighted td {
    background-color: #fff5c2 !important;
}

table.dataTable tr.highlighted.odd td {
    background-color: #f6e9a9 !important;
}

table.dataTable tr td {
    overflow: hidden; /* this is what fixes the expansion */
    text-overflow: ellipsis; /* not supported in all browsers, but I accepted the tradeoff */
    white-space: nowrap;
    max-width: 500px;
}

    table.dataTable tr td:first-child {
        border-left: 1px solid #cccccc;
    }

    table.dataTable tr td:last-child {
        border-right: 1px solid #cccccc;
    }


table.data tr:hover:not(.noHover) > td {
    background-color: #ddd !important;
    cursor: pointer;
}

table.data:not(.cards) tr.selected td,
table.data:not(.cards) tr.selected:hover td {
    background-color: #919191;
    color: #fff;
}

table.data:not(.cards) tr.odd.selected td,
table.data:not(.cards) tr.odd.selected:hover td {
    background-color: #999;
}

table.data tr.selected td a:link, table.data tr.selected td a:visited {
    color: #FFFFFF;
}

table.dataTable.no-footer {
    border-bottom: 1px solid #ccc;
}

table.dataTable thead .sorting,
table.dataTable thead .sorting_asc,
table.dataTable thead .sorting_desc,
table.dataTable thead .sorting_asc_disabled,
table.dataTable thead .sorting_desc_disabled {
    background-repeat: no-repeat;
    background-position: center right 6px;
}

table.dataTable.dtr-inline:not(.collapsed) > tbody > tr > td.gap,
table.dataTable.dtr-inline:not(.collapsed) > thead > tr > th.gap {
    display: none;
}

table.dataTable.dtr-inline.collapsed > tbody > tr > td:first-child,
table.dataTable.dtr-inline.collapsed > thead > tr > th:first-child {
    position: relative;
    padding-left: 50px;
    cursor: pointer;
}

table.dataTable.dtr-inline.collapsed > tbody > tr > td.gap,
table.dataTable.dtr-inline.collapsed > thead > tr > th.gap {
    padding: 0;
    width: 36px !important;
}

    table.dataTable.dtr-inline.collapsed > tbody > tr > td.gap span,
    table.dataTable.dtr-inline.collapsed > thead > tr > th.gap span {
        display: block;
        position: relative;
        width: 36px !important;
        height: 100%;
    }

        table.dataTable.dtr-inline.collapsed > tbody > tr > td.gap span:before,
        table.dataTable.dtr-inline.collapsed > tbody > tr > th.gap span:before {
            top: 50%;
            margin-top: -10px;
            left: 10px;
            height: 16px;
            width: 16px;
            display: block;
            position: absolute;
            color: white;
            border: 2px solid white;
            border-radius: 50%;
            box-shadow: 0 0 3px #444;
            box-sizing: content-box;
            text-align: center;
            font-size: 8px;
            text-indent: 0px;
            line-height: 16px;
            font-family: 'Font Awesome 5 Free';
            font-style: normal;
            font-weight: 900;
            content: "\f067"; /*plus*/
            background-color: #999;
        }

table.dataTable.dtr-inline.collapsed > tbody > tr.parent > td.gap span:first-child:before,
table.dataTable.dtr-inline.collapsed > tbody > tr.parent > th.gap span:first-child:before {
    content: "\f068"; /*minus*/
    background-color: #888;
}


div.dt-container {
    font-size: 12px;
    width: 100% !important;   
}

div.dt-container .dt-length {
    width: 50%;
    float: left;
}

    div.dt-container .dt-length > label {
        font-size: 12px;
        white-space: nowrap;
        overflow: hidden;
    }
       
div.dt-container .dt-search {
    width: 50%;
    float: right;
    text-align: right;
}

    div.dt-container .dt-search label {
        width:auto!important;
        white-space: nowrap;
        overflow: hidden;
        font-size: 12px;
    }

    div.dt-container .dt-search input {
        box-sizing: border-box;
        width: 200px;
        margin: 0 0 0 6px;
        height: 32px;
        padding: 0 0 0 5px;
        border: 1px solid #ccc;
    }

    div.dt-container .dt-search::after {
        font-family: 'Font Awesome 5 Free';
        font-style: normal;
        font-weight: 900;
        font-size: 12px;
        content: "\f002"; /*search*/
        color: #999;
        position: absolute;
        right: 8px;
        top: 9px;
    }

div.dt-container .dt-search,
div.dt-container .dt-length {
    padding-bottom: 6px;
}

div.dt-container .dt-paging {
    width: 50%;
    margin-top: 15px;
    float: right;
    text-align: right;
}

    div.dt-container .dt-paging .dt-paging-button {
        box-sizing: border-box;
        display: inline-block;
        padding: 4px 6px;
        margin-left: 2px;
        text-align: center;
        text-decoration: none !important;
        cursor: pointer;
        *cursor: hand;
        color: #333 !important;
        border: 0;
        border-radius: 2px;
    }

        div.dt-container .dt-paging .dt-paging-button.current, .dt-container .dt-paginge .dt-paging-button.current:hover {
            color: #fff !important;
            border: 0;
            background: #333 !important;
        }

        div.dt-container .dt-paging .dt-paging-button.disabled, .dt-container .dt-paginge .dt-paging-button.disabled:hover, .dt-container .dt-paginge .dt-paging-button.disabled:active {
            cursor: default;
            color: #999 !important;
            border: 1px solid transparent;
            background: transparent;
            box-shadow: none;
        }

        div.dt-container .dt-paging .dt-paging-button:hover {
            color: #fff !important;
            border: 0;
            background: #7ab4e6;
        }

        div.dt-container .dt-paging .dt-paging-button:active {
            outline: none;
            background: #7ab4e6;
            box-shadow: none;
        }

div.dt-container .dt-paging-button.first,
div.dt-container .dt-paging-button.last {
    visibility: hidden !important;
}

div.dt-container .dt-paging-button.last {
    margin-right: -25px;
}

div.dt-container .dt-paging-button.previous,
div.dt-container .dt-paging-button.next {
    font-size: 12px;
}

table.data tr td.dataTables_empty, table.data tr td.dataTables_empty:hover {
    padding: 12px;
    margin: 0;
    line-height: 18px;
    font-family: Helvetica, Arial, sans-serif;
    font-size: 16px;
    font-weight: bold;
    color: #444;
    text-align: center;
    background: #f4d98c !important;
    color: #2f313a;
}

table.data .dataTable_check, table.data .dataTable_checkAll {
    width: 16px !important;
    padding: 10px;
}

table.data input[type="checkbox"].checkbox + label span {
    margin: 0px !important;
}

table.data input[type="checkbox"].disabled + label span {
    opacity: 0.3;
}

.data .profile-photo {
    width: 20px;
    height: 25px;
}

table.data th.card-content {
    display: none;
}

table.data td.card-content {
    display: none;
}

table.data.cards {
    background-color: transparent;
    border: none !important;
}

    table.data.cards thead {
        display: none;
    }

.cards tbody tr {
    float: left;
    margin: 10px 20px 10px 0px;
    border-bottom: 1px solid #ccc;
    background-color: white;
}

.cards tbody td {
    display: none;
}

table.data.cards td.card-content {
    display: block;
    width: 200px;
    height: 200px;
    overflow: hidden;
    text-align: left;
    background: #fff !important;
    border: none !important;
}

.cards .dataTable_check {
    display: none;
}

table.data.cards tr.odd td, table.data.cards tr.even td {
    background: none !important;
}

table.data.cards td.card-content .name {
    font-size: 16px;
    font-weight: bold;
    text-align: center;
    color: #444;
    margin-bottom: 6px;
}

table.data.cards td.card-content .info {
    font-size: 14px;
    text-align: center;
    color: #555;
    overflow: hidden;
    text-overflow: ellipsis;
}

.overflow {
    overflow: hidden;
    text-overflow: ellipsis;
}

table.data.cards td.card-content .profile-photo {
    width: 100px;
    height: 100px;
    margin: 0 auto 10px auto;
    border: 1px solid #ccc;
    border-radius: 150px;
    background-image: url(../_images/generic-photo.jpg);
    background-position: center top;
    background-size: cover;
    overflow: hidden;
    position: relative;
    transition: all .3s;
}

    table.data.cards td.card-content .profile-photo::before {
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        background: inherit;
        transition: inherit;
    }

table.data.cards td.card-content:hover .profile-photo::before {
    transform: scale(1.1);
}

@media all and (max-width: 700px) {
    .dt-container .dt-search::after {
        content: "";
    }
}

table.dataTable th, table.dataTable td {
    font-size: 12px;
}

table.dataTable > tbody > tr.child ul {
    display: inline-block;
    list-style-type: none;
    margin: 0;
    padding: 0;
}

    table.dataTable > tbody > tr.child ul li:first-child {
        padding-top: 0;
        border-bottom: 1px solid #efefef;
    }

    table.dataTable > tbody > tr.child ul li {
        border-bottom: 1px solid #efefef;
        padding: 0.5em 0;
    }

table.dataTable > tbody > tr.child span.dtr-title {
    display: inline-block;
    min-width: 75px;
    font-weight: bold;
}

table.dataTable tfoot td {
    text-align: right;
    font-size: 13px;
}

.export-container {
    float: right;
    width: 100%;
    text-align: right;
    margin-top: 25px;
}


.dt-column-header{
    grid-gap:0px!important;
}

.dt-type-numeric,
.dt-type-date {
    text-align: left !important;
}
